import { UseEngineConnectionFactory } from '../../api/use-engine-connection-factory';
type ChatPageProps = Pick<UseEngineConnectionFactory, 'sendMessage' | 'messages' | 'lastMessage'> & {
    analyzerData: {
        dataArray: Uint8Array;
        bufferLength: number;
        analyzer: AnalyserNode | null;
    };
    wrapperStyle?: React.CSSProperties;
};
export declare const ChatComponent: ({ sendMessage, messages, lastMessage, wrapperStyle, }: ChatPageProps) => import("react/jsx-runtime").JSX.Element;
export {};
